Bug 570627 - Review Request: cppi - C preprocessor directive indenter
Summary: Review Request: cppi - C preprocessor directive indenter
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jim Meyering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-04 21:30 UTC by Kalev Lember
Modified: 2013-03-13 20:41 UTC (History)
4 users (show)

Fixed In Version: cppi-1.15-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-27 00:59:09 UTC
meyering: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Kalev Lember 2010-03-04 21:30:33 UTC
Spec URL: http://kalev.fedorapeople.org/cppi.spec
SRPM URL: http://kalev.fedorapeople.org/cppi-1.14-1.fc14.src.rpm
Description:
Cppi indents the C preprocessor directives to reflect their nesting and ensures
that there is exactly one space character between each #if, #elif, #define
directive and the following token.

Comment 1 Jim Meyering 2010-03-13 10:58:25 UTC
rpmlint passed:

cppi.src: W: spelling-error Summary(en_US) preprocessor -> processor, teleprocessing, processional
cppi.src: W: spelling-error Summary(en_US) indenter -> indented, ind enter, ind-enter
cppi.src: W: spelling-error %description -l en_US preprocessor -> processor, teleprocessing, processional
cppi.src: W: spelling-error %description -l en_US elif -> elf, lief, life
1 packages and 0 specfiles checked; 0 errors, 4 warnings.

But "rpmbuild -ba cppi.spec" fails like this:

+ /usr/lib/rpm/find-debuginfo.sh --strict-build-id /home/j/rpmbuild/BUILD/cppi-1.14
extracting debug info from /home/j/rpmbuild/BUILDROOT/cppi-1.14-1.fc12.x86_64/usr/bin/cppi
*** ERROR: No build ID note found in /home/j/rpmbuild/BUILDROOT/cppi-1.14-1.fc12.x86_64/usr/bin/cppi
error: Bad exit status from /var/tmp/rpm-tmp.lqEfeN (%install)

Is there a better way?

Comment 2 Kalev Lember 2010-03-13 14:03:46 UTC
This is strange. I don't get this error on my local machine and koji scratch build (F-12, so that results are comparable with your machine) also succeeds:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2050634

See this build log for example (F-12 x86_64):
http://koji.fedoraproject.org/koji/getfile?taskID=2050636&name=build.log

When gcc is used as a linker, it should pass --build-id option to ld. Perhaps you have modified gcc or binutils installed on your machine which don't support that?

Comment 3 Jim Meyering 2010-03-13 15:09:44 UTC
Good!  It's my fault after all.

I had confirmed that I was using F12's /usr/bin/gcc, but I had a stray x86_64-unknown-linux-gnu-gcc earlier in my path.  Removing that solved the problem.

Will resume on Monday.

Comment 4 Jim Meyering 2010-03-18 09:34:54 UTC
I've gone through the must and should checklists
(the latter prompted me to make a new upstream release: http://lists.gnu.org/archive/html/bug-cppi/2010-03/msg00010.html)
and everything looks like it's in order, so when you update your spec for 1.15, let me know and I'll take one final look and set the flag here.

Comment 5 Kalev Lember 2010-03-18 10:53:24 UTC
* Thu Mar 18 2010 Kalev Lember <kalev@smartlink.ee> - 1.15-1
- Updated to cppi 1.15

Spec URL: http://kalev.fedorapeople.org/cppi.spec
SRPM URL: http://kalev.fedorapeople.org/cppi-1.15-1.fc14.src.rpm
Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2060492

Comment 6 Jim Meyering 2010-03-18 12:22:27 UTC
Thanks, I've confirmed that this too builds.
spec diffs are trivial, as expected.  ACK!

Odd... I'm currently unable to set fedora‑review = +

  http://thread.gmane.org/gmane.linux.redhat.fedora.devel/130810/focus=130811

even though I've just changed my FAS email address to match the BZ one.

Comment 7 Kalev Lember 2010-03-18 13:26:15 UTC
Thank you for the review!

New Package CVS Request
=======================
Package Name: cppi
Short Description: C preprocessor directive indenter
Owners: kalev meyering
Branches: F-11 F-12 F-13
InitialCC:

Comment 8 Kevin Fenzi 2010-03-19 19:51:52 UTC
CVS done (by process-cvs-requests.py).

Comment 9 Fedora Update System 2010-03-19 21:36:39 UTC
cppi-1.15-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/cppi-1.15-1.fc12

Comment 10 Fedora Update System 2010-03-19 21:36:44 UTC
cppi-1.15-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/cppi-1.15-1.fc11

Comment 11 Fedora Update System 2010-03-19 21:36:48 UTC
cppi-1.15-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/cppi-1.15-1.fc13

Comment 12 Fedora Update System 2010-03-23 01:57:06 UTC
cppi-1.15-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cppi'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/cppi-1.15-1.fc13

Comment 13 Fedora Update System 2010-03-23 02:01:51 UTC
cppi-1.15-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cppi'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/cppi-1.15-1.fc11

Comment 14 Fedora Update System 2010-03-23 02:06:54 UTC
cppi-1.15-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cppi'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/cppi-1.15-1.fc12

Comment 15 Fedora Update System 2010-03-27 00:59:04 UTC
cppi-1.15-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2010-03-27 00:59:45 UTC
cppi-1.15-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Eric Blake 2010-04-02 17:07:28 UTC
Any reason cppi was removed from F13:

http://lists.fedoraproject.org/pipermail/test/2010-April/089871.html

even though it is now in F11 and F12?

Comment 18 Kalev Lember 2010-04-03 18:55:21 UTC
F-13 is in Beta freeze, and the packages that were removed were actually F-12 packages that had inherited into F-13 through F-12 updates. See Jesse Keating's mail for more explanations:
http://lists.fedoraproject.org/pipermail/devel/2010-April/134347.html

Comment 19 Fedora Update System 2010-04-09 04:27:08 UTC
cppi-1.15-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.